| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_cfft_instance_q31 Struct Reference

Instance structure for the fixed-point CFFT/CIFFT function.

## Data Fields

uint16_t | fftLen
const q31_t * | pTwiddle
const uint16_t * | pBitRevTable
uint16_t | bitRevLength

## Field Documentation

uint16_t arm_cfft_instance_q31::bitRevLength

bit reversal table length.

Referenced by arm_cfft_q31().

uint16_t arm_cfft_instance_q31::fftLen

length of the FFT.

Referenced by arm_cfft_q31().

const uint16_t* arm_cfft_instance_q31::pBitRevTable

points to the bit reversal table.

Referenced by arm_cfft_q31().

const q31_t* arm_cfft_instance_q31::pTwiddle

points to the Twiddle factor table.

Referenced by arm_cfft_q31().